> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a built component

> Returns the fully evaluated (built) runtime form of the specified component, with expression fields resolved.



## OpenAPI

````yaml /api-reference/management.json get /v1/components/{component_id}{version}/built
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v1/components/{component_id}{version}/built:
    get:
      tags:
        - Components
      summary: Get a built component
      description: >-
        Returns the fully evaluated (built) runtime form of the specified
        component, with expression fields resolved.
      operationId: getBuiltComponent
      parameters:
        - in: path
          name: component_id
          required: true
          schema:
            type: string
        - in: path
          name: version
          required: true
          schema:
            pattern: (/version/.+)?
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuiltComponentResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_build_failed:
                  $ref: '#/components/examples/campaign_build_failed'
                component_not_found:
                  $ref: '#/components/examples/component_not_found'
                component_owner_not_supported:
                  $ref: '#/components/examples/component_owner_not_supported'
                component_state_not_supported:
                  $ref: '#/components/examples/component_state_not_supported'
                controller_state_misconfiguration:
                  $ref: '#/components/examples/controller_state_misconfiguration'
                expression_invalid_syntax:
                  $ref: '#/components/examples/expression_invalid_syntax'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_setting_filter:
                  $ref: '#/components/examples/invalid_setting_filter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                rebuild_campaigns_build_failed:
                  $ref: '#/components/examples/rebuild_campaigns_build_failed'
                unknown_source_clients:
                  $ref: '#/components/examples/unknown_source_clients'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    BuiltComponentResponse:
      properties:
        assets:
          items:
            $ref: '#/components/schemas/BuiltComponentAssetResponse'
          type: array
        campaign_id:
          type: string
        campaign_state:
          type: string
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        description:
          type: string
        display_name:
          type: string
        duplicatable:
          type: boolean
        facets:
          items:
            $ref: '#/components/schemas/CampaignComponentFacetResponse'
          type: array
        id:
          readOnly: true
          type: string
        install:
          $ref: '#/components/schemas/InstallInBuiltComponentResponse'
        installed_into_socket:
          type: string
        name:
          type: string
        origin:
          $ref: '#/components/schemas/ComponentOriginResponse'
        owner:
          enum:
            - CLIENT
            - EXTOLE
            - EXTOLE_BETA
          type: string
        source_client_id:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          type: string
        types:
          items:
            type: string
          type: array
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
        upload_version:
          type: string
        variables:
          items:
            $ref: '#/components/schemas/BuiltCampaignComponentSettingResponse'
          type: array
        version:
          format: int32
          type: integer
      required:
        - assets
        - campaign_id
        - campaign_state
        - component_ids
        - component_references
        - created_date
        - description
        - display_name
        - duplicatable
        - facets
        - id
        - install
        - installed_into_socket
        - name
        - origin
        - owner
        - source_client_id
        - tags
        - type
        - types
        - updated_date
        - upload_version
        - variables
        - version
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    BuiltComponentAssetResponse:
      properties:
        description:
          type: string
        filename:
          type: string
        id:
          readOnly: true
          type: string
        name:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
      required:
        - description
        - filename
        - id
        - name
        - tags
      type: object
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    CampaignComponentFacetResponse:
      properties:
        name:
          type: string
        value:
          type: string
      type: object
    InstallInBuiltComponentResponse:
      description: >-
        The install as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal install
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [ComponentInstalltimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts).
          example: handlebars@installtime:{{install}}
          externalDocs:
            description: ComponentInstalltimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts
          pattern: ^handlebars@installtime:.*
          title: Installtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ComponentInstalltimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts).
          example: >-
            javascript@installtime:function() { return
            context.getVariableContext().get('install');}
          externalDocs:
            description: ComponentInstalltimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/component/install/ComponentInstalltimeContext.d.ts
          pattern: ^javascript@installtime:.*
          title: Installtime - Javascript
          type: string
    ComponentOriginResponse:
      properties:
        client_id:
          type: string
        component_id:
          type: string
        component_version:
          format: int32
          type: integer
      type: object
    BuiltCampaignComponentSettingResponse:
      discriminator:
        mapping:
          ADMIN_ICON:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsAdminIcon
          AUDIENCE_ID:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsAudienceId
          AUDIENCE_ID_LIST:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsAudienceIdList
          BOOLEAN:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsBoolean
          BROWSER_SIDE_JAVASCRIPT:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsBrowserSideJavascript
          CLIENT_DOMAIN_ID_LIST:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsClientDomainIdList
          CLIENT_KEY:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsClientKey
          CLIENT_KEY_FLOW:
            $ref: '#/components/schemas/BuiltComponentClientKeyFlowVariableResponse'
          COLOR:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsColor'
          COMPONENT_ID:
            $ref: '#/components/schemas/BuiltComponentComponentIdVariableResponse'
          COMPONENT_SETTING_LOOKUP:
            $ref: >-
              #/components/schemas/BuiltComponentComponentSettingLookupVariableResponse
          CSS:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsCss'
          DELAY:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsDelay'
          DELAY_LIST:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsDelayList
          ENUM:
            $ref: '#/components/schemas/BuiltComponentEnumVariableResponse'
          ENUM_LIST:
            $ref: '#/components/schemas/BuiltComponentEnumListVariableResponse'
          EXTOLE_CLIENT_KEY:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsExtoleClientKey
          FONT:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsFont'
          GLOB_COMPONENT_PATH:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsGlobComponentPath
          HTML:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsHtml'
          IMAGE:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsImage'
          INTEGER:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsInteger
          INTEGER_LIST:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsIntegerList
          JSON:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsJson'
          MULTI_SOCKET:
            $ref: '#/components/schemas/BuiltComponentSocketResponseAsMultiSocket'
          PARTNER_ENUM:
            $ref: '#/components/schemas/BuiltComponentPartnerEnumVariableResponse'
          PARTNER_ENUM_LIST:
            $ref: '#/components/schemas/BuiltComponentPartnerEnumListVariableResponse'
          PERSON_KEY_NAME:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsPersonKeyName
          REWARD_SUPPLIER_ID:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsRewardSupplierId
          REWARD_SUPPLIER_ID_LIST:
            $ref: >-
              #/components/schemas/BuiltComponentRewardSupplierIdListVariableResponse
          SOCKET:
            $ref: '#/components/schemas/BuiltComponentSocketResponseAsSocket'
          STRING:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsString
          STRING_LIST:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsStringList
          STRING_MAP:
            $ref: '#/components/schemas/BuiltComponentStringMapVariableResponse'
          URL:
            $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsUrl'
          WEBHOOK_ID:
            $ref: >-
              #/components/schemas/BuiltCampaignComponentVariableResponseAsWebhookId
        propertyName: type
      oneOf:
        - title: ADMIN_ICON
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsAdminIcon
        - title: AUDIENCE_ID
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsAudienceId
        - title: AUDIENCE_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsAudienceIdList
        - title: BOOLEAN
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsBoolean
        - title: BROWSER_SIDE_JAVASCRIPT
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsBrowserSideJavascript
        - title: CLIENT_DOMAIN_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsClientDomainIdList
        - title: CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsClientKey
        - title: CLIENT_KEY_FLOW
          allOf:
            - $ref: '#/components/schemas/BuiltComponentClientKeyFlowVariableResponse'
        - title: COLOR
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsColor
        - title: COMPONENT_ID
          allOf:
            - $ref: '#/components/schemas/BuiltComponentComponentIdVariableResponse'
        - title: COMPONENT_SETTING_LOOKUP
          allOf:
            - $ref: >-
                #/components/schemas/BuiltComponentComponentSettingLookupVariableResponse
        - title: CSS
          allOf:
            - $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsCss'
        - title: DELAY
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsDelay
        - title: DELAY_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsDelayList
        - title: ENUM
          allOf:
            - $ref: '#/components/schemas/BuiltComponentEnumVariableResponse'
        - title: ENUM_LIST
          allOf:
            - $ref: '#/components/schemas/BuiltComponentEnumListVariableResponse'
        - title: EXTOLE_CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsExtoleClientKey
        - title: FONT
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsFont
        - title: GLOB_COMPONENT_PATH
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsGlobComponentPath
        - title: HTML
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsHtml
        - title: IMAGE
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsImage
        - title: INTEGER
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsInteger
        - title: INTEGER_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsIntegerList
        - title: JSON
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsJson
        - title: MULTI_SOCKET
          allOf:
            - $ref: '#/components/schemas/BuiltComponentSocketResponseAsMultiSocket'
        - title: PARTNER_ENUM
          allOf:
            - $ref: '#/components/schemas/BuiltComponentPartnerEnumVariableResponse'
        - title: PARTNER_ENUM_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltComponentPartnerEnumListVariableResponse
        - title: PERSON_KEY_NAME
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsPersonKeyName
        - title: REWARD_SUPPLIER_ID
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsRewardSupplierId
        - title: REWARD_SUPPLIER_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltComponentRewardSupplierIdListVariableResponse
        - title: SOCKET
          allOf:
            - $ref: '#/components/schemas/BuiltComponentSocketResponseAsSocket'
        - title: STRING
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsString
        - title: STRING_LIST
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsStringList
        - title: STRING_MAP
          allOf:
            - $ref: '#/components/schemas/BuiltComponentStringMapVariableResponse'
        - title: URL
          allOf:
            - $ref: '#/components/schemas/BuiltCampaignComponentVariableResponseAsUrl'
        - title: WEBHOOK_ID
          allOf:
            - $ref: >-
                #/components/schemas/BuiltCampaignComponentVariableResponseAsWebhookId
      required:
        - display_name
        - name
        - priority
        - tags
        - type
        - values
    BuiltCampaignComponentVariableResponseAsAdminIcon:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - ADMIN_ICON
              type: string
          type: object
      type: object
      title: ADMIN_ICON
    BuiltCampaignComponentVariableResponseAsAudienceId:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - AUDIENCE_ID
              type: string
          type: object
      type: object
      title: AUDIENCE_ID
    BuiltCampaignComponentVariableResponseAsAudienceIdList:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - AUDIENCE_ID_LIST
              type: string
          type: object
      type: object
      title: AUDIENCE_ID_LIST
    BuiltCampaignComponentVariableResponseAsBoolean:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - BOOLEAN
              type: string
          type: object
      type: object
      title: BOOLEAN
    BuiltCampaignComponentVariableResponseAsBrowserSideJavascript:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - BROWSER_SIDE_JAVASCRIPT
              type: string
          type: object
      type: object
      title: BROWSER_SIDE_JAVASCRIPT
    BuiltCampaignComponentVariableResponseAsClientDomainIdList:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - CLIENT_DOMAIN_ID_LIST
              type: string
          type: object
      type: object
      title: CLIENT_DOMAIN_ID_LIST
    BuiltCampaignComponentVariableResponseAsClientKey:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - CLIENT_KEY
              type: string
          type: object
      type: object
      title: CLIENT_KEY
    BuiltComponentClientKeyFlowVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            authorization_url:
              type: string
            client_secret_key_id:
              type: string
            description:
              type: string
            redirect_url:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - CLIENT_KEY_FLOW
              type: string
          type: object
      required:
        - authorization_url
        - client_secret_key_id
        - description
        - display_name
        - name
        - priority
        - redirect_url
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: CLIENT_KEY_FLOW
    BuiltCampaignComponentVariableResponseAsColor:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - COLOR
              type: string
          type: object
      type: object
      title: COLOR
    BuiltComponentComponentIdVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            filter:
              $ref: '#/components/schemas/ComponentIdFilterResponse'
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - COMPONENT_ID
              type: string
          type: object
      required:
        - description
        - display_name
        - filter
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: COMPONENT_ID
    BuiltComponentComponentSettingLookupVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            capture_settings:
              items:
                type: string
              type: array
            captured_setting_values_description:
              type: string
            description:
              type: string
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            matching_filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - COMPONENT_SETTING_LOOKUP
              type: string
          type: object
      required:
        - capture_settings
        - captured_setting_values_description
        - description
        - display_name
        - filters
        - matching_filters
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: COMPONENT_SETTING_LOOKUP
    BuiltCampaignComponentVariableResponseAsCss:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - CSS
              type: string
          type: object
      type: object
      title: CSS
    BuiltCampaignComponentVariableResponseAsDelay:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - DELAY
              type: string
          type: object
      type: object
      title: DELAY
    BuiltCampaignComponentVariableResponseAsDelayList:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - DELAY_LIST
              type: string
          type: object
      type: object
      title: DELAY_LIST
    BuiltComponentEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - ENUM
              type: string
          type: object
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: ENUM
    BuiltComponentEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - ENUM_LIST
              type: string
          type: object
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: ENUM_LIST
    BuiltCampaignComponentVariableResponseAsExtoleClientKey:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - EXTOLE_CLIENT_KEY
              type: string
          type: object
      type: object
      title: EXTOLE_CLIENT_KEY
    BuiltCampaignComponentVariableResponseAsFont:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - FONT
              type: string
          type: object
      type: object
      title: FONT
    BuiltCampaignComponentVariableResponseAsGlobComponentPath:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - GLOB_COMPONENT_PATH
              type: string
          type: object
      type: object
      title: GLOB_COMPONENT_PATH
    BuiltCampaignComponentVariableResponseAsHtml:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - HTML
              type: string
          type: object
      type: object
      title: HTML
    BuiltCampaignComponentVariableResponseAsImage:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - IMAGE
              type: string
          type: object
      type: object
      title: IMAGE
    BuiltCampaignComponentVariableResponseAsInteger:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - INTEGER
              type: string
          type: object
      type: object
      title: INTEGER
    BuiltCampaignComponentVariableResponseAsIntegerList:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - INTEGER_LIST
              type: string
          type: object
      type: object
      title: INTEGER_LIST
    BuiltCampaignComponentVariableResponseAsJson:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - JSON
              type: string
          type: object
      type: object
      title: JSON
    BuiltComponentSocketResponseAsMultiSocket:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/BuiltCampaignComponentVariableResponse'
              type: array
            type:
              enum:
                - MULTI_SOCKET
              type: string
          type: object
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - tags
        - type
        - values
      type: object
      title: MULTI_SOCKET
    BuiltComponentPartnerEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - PARTNER_ENUM
              type: string
            webhook_id:
              type: string
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM
    BuiltComponentPartnerEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - PARTNER_ENUM_LIST
              type: string
            webhook_id:
              type: string
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM_LIST
    BuiltCampaignComponentVariableResponseAsPersonKeyName:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - PERSON_KEY_NAME
              type: string
          type: object
      type: object
      title: PERSON_KEY_NAME
    BuiltCampaignComponentVariableResponseAsRewardSupplierId:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - REWARD_SUPPLIER_ID
              type: string
          type: object
      type: object
      title: REWARD_SUPPLIER_ID
    BuiltComponentRewardSupplierIdListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            allowed_reward_supplier_ids:
              items:
                type: string
              type: array
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - REWARD_SUPPLIER_ID_LIST
              type: string
          type: object
      required:
        - allowed_reward_supplier_ids
        - description
        - display_name
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: REWARD_SUPPLIER_ID_LIST
    BuiltComponentSocketResponseAsSocket:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/BuiltCampaignComponentVariableResponse'
              type: array
            type:
              enum:
                - SOCKET
              type: string
          type: object
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - tags
        - type
        - values
      type: object
      title: SOCKET
    BuiltCampaignComponentVariableResponseAsString:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - STRING
              type: string
          type: object
      type: object
      title: STRING
    BuiltCampaignComponentVariableResponseAsStringList:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - STRING_LIST
              type: string
          type: object
      type: object
      title: STRING_LIST
    BuiltComponentStringMapVariableResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            allowed_keys:
              items:
                type: string
              type: array
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - STRING_MAP
              type: string
          type: object
      required:
        - allowed_keys
        - description
        - display_name
        - name
        - priority
        - source
        - source_component_id
        - source_version
        - tags
        - type
        - values
      type: object
      title: STRING_MAP
    BuiltCampaignComponentVariableResponseAsUrl:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - URL
              type: string
          type: object
      type: object
      title: URL
    BuiltCampaignComponentVariableResponseAsWebhookId:
      allOf:
        - $ref: '#/components/schemas/BuiltCampaignComponentSettingResponseBase'
        - properties:
            description:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            source_component_id:
              type: string
            source_version:
              format: int32
              type: integer
            type:
              enum:
                - WEBHOOK_ID
              type: string
          type: object
      type: object
      title: WEBHOOK_ID
    BuiltCampaignComponentSettingResponseBase:
      properties:
        display_name:
          type: string
        name:
          type: string
        priority:
          $ref: '#/components/schemas/DeweyDecimal'
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          enum:
            - ADMIN_ICON
            - AUDIENCE_ID
            - AUDIENCE_ID_LIST
            - BOOLEAN
            - BROWSER_SIDE_JAVASCRIPT
            - CLIENT_DOMAIN_ID_LIST
            - CLIENT_KEY
            - CLIENT_KEY_FLOW
            - COLOR
            - COMPONENT_ID
            - COMPONENT_SETTING_LOOKUP
            - CSS
            - DELAY
            - DELAY_LIST
            - ENUM
            - ENUM_LIST
            - EXTOLE_CLIENT_KEY
            - FONT
            - GLOB_COMPONENT_PATH
            - HTML
            - IMAGE
            - INTEGER
            - INTEGER_LIST
            - JSON
            - MULTI_SOCKET
            - PARTNER_ENUM
            - PARTNER_ENUM_LIST
            - PERSON_KEY_NAME
            - REWARD_SUPPLIER_ID
            - REWARD_SUPPLIER_ID_LIST
            - SOCKET
            - STRING
            - STRING_LIST
            - STRING_MAP
            - URL
            - WEBHOOK_ID
          type: string
        values:
          $ref: '#/components/schemas/BuiltComponentSettingValues'
      type: object
    ComponentIdFilterResponse:
      properties:
        component_types:
          items:
            type: string
          type: array
          uniqueItems: true
      type: object
    SettingFilterResponse:
      discriminator:
        mapping:
          COMPONENT_TYPE:
            $ref: '#/components/schemas/ComponentTypeSettingFilterResponse'
          EXPRESSION:
            $ref: '#/components/schemas/ExpressionSettingFilterResponse'
          FACET:
            $ref: '#/components/schemas/ComponentFacetSettingFilterResponse'
        propertyName: type
      oneOf:
        - title: COMPONENT_TYPE
          allOf:
            - $ref: '#/components/schemas/ComponentTypeSettingFilterResponse'
        - title: EXPRESSION
          allOf:
            - $ref: '#/components/schemas/ExpressionSettingFilterResponse'
        - title: FACET
          allOf:
            - $ref: '#/components/schemas/ComponentFacetSettingFilterResponse'
    BuiltCampaignComponentVariableResponse:
      properties:
        description:
          type: string
        display_name:
          type: string
        name:
          type: string
        priority:
          $ref: '#/components/schemas/DeweyDecimal'
        source:
          enum:
            - INHERITED
            - LOCAL
            - PARAMETER
          type: string
        source_component_id:
          type: string
        source_version:
          format: int32
          type: integer
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          enum:
            - ADMIN_ICON
            - AUDIENCE_ID
            - AUDIENCE_ID_LIST
            - BOOLEAN
            - BROWSER_SIDE_JAVASCRIPT
            - CLIENT_DOMAIN_ID_LIST
            - CLIENT_KEY
            - CLIENT_KEY_FLOW
            - COLOR
            - COMPONENT_ID
            - COMPONENT_SETTING_LOOKUP
            - CSS
            - DELAY
            - DELAY_LIST
            - ENUM
            - ENUM_LIST
            - EXTOLE_CLIENT_KEY
            - FONT
            - GLOB_COMPONENT_PATH
            - HTML
            - IMAGE
            - INTEGER
            - INTEGER_LIST
            - JSON
            - MULTI_SOCKET
            - PARTNER_ENUM
            - PARTNER_ENUM_LIST
            - PERSON_KEY_NAME
            - REWARD_SUPPLIER_ID
            - REWARD_SUPPLIER_ID_LIST
            - SOCKET
            - STRING
            - STRING_LIST
            - STRING_MAP
            - URL
            - WEBHOOK_ID
          type: string
        values:
          $ref: '#/components/schemas/BuiltComponentSettingValues'
      type: object
    PartnerEnumListVariableOptionResponse:
      properties:
        id:
          type: string
        name:
          type: string
      type: object
    DeweyDecimal:
      example: '10'
      type: string
    BuiltComponentSettingValues:
      additionalProperties: true
      description: >-
        Open map of evaluated setting values keyed by value key. There is no
        fixed or maximum number of keys. Any string key may be present; each
        value uses the same shape for this setting's `type`. The properties
        listed here are common examples only and are not required.
      properties:
        default:
          $ref: '#/components/schemas/DefaultInBuiltComponentSettingValues'
        en:
          $ref: '#/components/schemas/EnInBuiltComponentSettingValues'
      type: object
    ComponentTypeSettingFilterResponse:
      allOf:
        - $ref: '#/components/schemas/SettingFilterResponseBase'
        - properties:
            component_type:
              type: string
            type:
              enum:
                - COMPONENT_TYPE
              type: string
          type: object
      required:
        - component_type
        - type
      type: object
      title: COMPONENT_TYPE
    ExpressionSettingFilterResponse:
      allOf:
        - $ref: '#/components/schemas/SettingFilterResponseBase'
        - properties:
            expression:
              $ref: '#/components/schemas/ExpressionInExpressionSettingFilterResponse'
            type:
              enum:
                - EXPRESSION
              type: string
          type: object
      description: >-
        Stored expression setting filter definition. Field `expression` is
        unevaluated and appears in buildtime-evaluatable form.
      required:
        - expression
        - type
      type: object
      title: EXPRESSION
    ComponentFacetSettingFilterResponse:
      allOf:
        - $ref: '#/components/schemas/SettingFilterResponseBase'
        - properties:
            name:
              type: string
            type:
              enum:
                - FACET
              type: string
            value:
              type: string
          type: object
      required:
        - name
        - type
        - value
      type: object
      title: FACET
    DefaultInBuiltComponentSettingValues:
      description: >-
        Example value key. Fallback when no locale- or environment-specific key
        matches. Omitting `default` is valid when another key applies.
      oneOf:
        - description: Literal default
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with one of the contexts:
            [ApproveActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/approve/ApproveActionContext.d.ts),
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts),
            [ClientWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ClientWebhookRuntimeContext.d.ts),
            [ConsumerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ConsumerWebhookRuntimeContext.d.ts),
            [CreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/creative/CreativeActionContext.d.ts),
            [DisplayActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionContext.d.ts),
            [DisplayActionResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionResponseContext.d.ts),
            [EmailActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/email/EmailActionContext.d.ts),
            [ExpressionActionCommandContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionCommandContext.d.ts),
            [ExpressionActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionContext.d.ts),
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts),
            [FireAsPersonActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/fire/as/person/FireAsPersonActionContext.d.ts),
            [HasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/HasPriorRewardTriggerContext.d.ts),
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts),
            [IncentivizeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/IncentivizeActionContext.d.ts),
            [IncentivizeStatusUpdateActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/status/update/IncentivizeStatusUpdateActionContext.d.ts),
            [JourneyKeyContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/journey/JourneyKeyContext.d.ts),
            [LegacyQualityRuleTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/legacy/quality/LegacyQualityRuleTriggerContext.d.ts),
            [PartnerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/PartnerWebhookRuntimeContext.d.ts),
            [PrehandlerActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerActionContext.d.ts),
            [PrehandlerConditionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerConditionContext.d.ts),
            [PrehandlerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerContext.d.ts),
            [RewardActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/reward/RewardActionContext.d.ts),
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts),
            [RewardWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/reward/RewardWebhookRuntimeContext.d.ts),
            [ScheduleActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/schedule/ScheduleActionContext.d.ts),
            [SignalActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/signal/SignalActionContext.d.ts),
            [StepActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/StepActionContext.d.ts),
            [StepBuilderContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/builder/StepBuilderContext.d.ts),
            [StepContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/StepContext.d.ts),
            [StepDataContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/data/StepDataContext.d.ts),
            [StepHasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/StepHasPriorStepTriggerContext.d.ts),
            [StepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/StepTriggerContext.d.ts),
            [VariableRuntimeCreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/runtime/VariableRuntimeCreativeActionContext.d.ts),
            [WebhookActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/webhook/WebhookActionContext.d.ts),
            [WebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/WebhookRuntimeContext.d.ts).
          example: handlebars@runtime:{{default}}
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with one of the contexts:
            [ApproveActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/approve/ApproveActionContext.d.ts),
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts),
            [ClientWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ClientWebhookRuntimeContext.d.ts),
            [ConsumerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ConsumerWebhookRuntimeContext.d.ts),
            [CreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/creative/CreativeActionContext.d.ts),
            [DisplayActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionContext.d.ts),
            [DisplayActionResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionResponseContext.d.ts),
            [EmailActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/email/EmailActionContext.d.ts),
            [ExpressionActionCommandContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionCommandContext.d.ts),
            [ExpressionActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionContext.d.ts),
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts),
            [FireAsPersonActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/fire/as/person/FireAsPersonActionContext.d.ts),
            [HasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/HasPriorRewardTriggerContext.d.ts),
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts),
            [IncentivizeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/IncentivizeActionContext.d.ts),
            [IncentivizeStatusUpdateActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/status/update/IncentivizeStatusUpdateActionContext.d.ts),
            [JourneyKeyContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/journey/JourneyKeyContext.d.ts),
            [LegacyQualityRuleTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/legacy/quality/LegacyQualityRuleTriggerContext.d.ts),
            [PartnerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/PartnerWebhookRuntimeContext.d.ts),
            [PrehandlerActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerActionContext.d.ts),
            [PrehandlerConditionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerConditionContext.d.ts),
            [PrehandlerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerContext.d.ts),
            [RewardActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/reward/RewardActionContext.d.ts),
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts),
            [RewardWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/reward/RewardWebhookRuntimeContext.d.ts),
            [ScheduleActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/schedule/ScheduleActionContext.d.ts),
            [SignalActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/signal/SignalActionContext.d.ts),
            [StepActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/StepActionContext.d.ts),
            [StepBuilderContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/builder/StepBuilderContext.d.ts),
            [StepContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/StepContext.d.ts),
            [StepDataContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/data/StepDataContext.d.ts),
            [StepHasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/StepHasPriorStepTriggerContext.d.ts),
            [StepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/StepTriggerContext.d.ts),
            [VariableRuntimeCreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/runtime/VariableRuntimeCreativeActionContext.d.ts),
            [WebhookActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/webhook/WebhookActionContext.d.ts),
            [WebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/WebhookRuntimeContext.d.ts).
          example: javascript@runtime:function() { return context.get('default');}
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    EnInBuiltComponentSettingValues:
      description: >-
        Example locale value key. Use any locale or environment code as the key;
        `en` is shown only as a representative example.
      oneOf:
        - description: Literal en
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with one of the contexts:
            [ApproveActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/approve/ApproveActionContext.d.ts),
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts),
            [ClientWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ClientWebhookRuntimeContext.d.ts),
            [ConsumerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ConsumerWebhookRuntimeContext.d.ts),
            [CreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/creative/CreativeActionContext.d.ts),
            [DisplayActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionContext.d.ts),
            [DisplayActionResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionResponseContext.d.ts),
            [EmailActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/email/EmailActionContext.d.ts),
            [ExpressionActionCommandContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionCommandContext.d.ts),
            [ExpressionActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionContext.d.ts),
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts),
            [FireAsPersonActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/fire/as/person/FireAsPersonActionContext.d.ts),
            [HasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/HasPriorRewardTriggerContext.d.ts),
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts),
            [IncentivizeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/IncentivizeActionContext.d.ts),
            [IncentivizeStatusUpdateActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/status/update/IncentivizeStatusUpdateActionContext.d.ts),
            [JourneyKeyContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/journey/JourneyKeyContext.d.ts),
            [LegacyQualityRuleTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/legacy/quality/LegacyQualityRuleTriggerContext.d.ts),
            [PartnerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/PartnerWebhookRuntimeContext.d.ts),
            [PrehandlerActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerActionContext.d.ts),
            [PrehandlerConditionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerConditionContext.d.ts),
            [PrehandlerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerContext.d.ts),
            [RewardActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/reward/RewardActionContext.d.ts),
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts),
            [RewardWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/reward/RewardWebhookRuntimeContext.d.ts),
            [ScheduleActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/schedule/ScheduleActionContext.d.ts),
            [SignalActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/signal/SignalActionContext.d.ts),
            [StepActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/StepActionContext.d.ts),
            [StepBuilderContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/builder/StepBuilderContext.d.ts),
            [StepContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/StepContext.d.ts),
            [StepDataContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/data/StepDataContext.d.ts),
            [StepHasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/StepHasPriorStepTriggerContext.d.ts),
            [StepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/StepTriggerContext.d.ts),
            [VariableRuntimeCreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/runtime/VariableRuntimeCreativeActionContext.d.ts),
            [WebhookActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/webhook/WebhookActionContext.d.ts),
            [WebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/WebhookRuntimeContext.d.ts).
          example: handlebars@runtime:{{en}}
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with one of the contexts:
            [ApproveActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/approve/ApproveActionContext.d.ts),
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts),
            [ClientWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ClientWebhookRuntimeContext.d.ts),
            [ConsumerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/ConsumerWebhookRuntimeContext.d.ts),
            [CreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/creative/CreativeActionContext.d.ts),
            [DisplayActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionContext.d.ts),
            [DisplayActionResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/display/DisplayActionResponseContext.d.ts),
            [EmailActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/email/EmailActionContext.d.ts),
            [ExpressionActionCommandContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionCommandContext.d.ts),
            [ExpressionActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/expression/ExpressionActionContext.d.ts),
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts),
            [FireAsPersonActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/fire/as/person/FireAsPersonActionContext.d.ts),
            [HasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/HasPriorRewardTriggerContext.d.ts),
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts),
            [IncentivizeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/IncentivizeActionContext.d.ts),
            [IncentivizeStatusUpdateActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/incentivize/status/update/IncentivizeStatusUpdateActionContext.d.ts),
            [JourneyKeyContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/journey/JourneyKeyContext.d.ts),
            [LegacyQualityRuleTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/legacy/quality/LegacyQualityRuleTriggerContext.d.ts),
            [PartnerWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/PartnerWebhookRuntimeContext.d.ts),
            [PrehandlerActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerActionContext.d.ts),
            [PrehandlerConditionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerConditionContext.d.ts),
            [PrehandlerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/prehandler/PrehandlerContext.d.ts),
            [RewardActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/reward/RewardActionContext.d.ts),
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts),
            [RewardWebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/reward/RewardWebhookRuntimeContext.d.ts),
            [ScheduleActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/schedule/ScheduleActionContext.d.ts),
            [SignalActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/signal/SignalActionContext.d.ts),
            [StepActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/StepActionContext.d.ts),
            [StepBuilderContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/builder/StepBuilderContext.d.ts),
            [StepContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/StepContext.d.ts),
            [StepDataContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/data/StepDataContext.d.ts),
            [StepHasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/StepHasPriorStepTriggerContext.d.ts),
            [StepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/StepTriggerContext.d.ts),
            [VariableRuntimeCreativeActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/runtime/VariableRuntimeCreativeActionContext.d.ts),
            [WebhookActionContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/step/action/webhook/WebhookActionContext.d.ts),
            [WebhookRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/webhook/WebhookRuntimeContext.d.ts).
          example: javascript@runtime:function() { return context.get('en');}
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    SettingFilterResponseBase:
      properties:
        type:
          enum:
            - COMPONENT_TYPE
            - EXPRESSION
            - FACET
          type: string
      type: object
    ExpressionInExpressionSettingFilterResponse:
      description: >-
        The expression as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal expression
          title: Static Value
          type: boolean
        - description: >-
            Handlebars expression with
            [SettingFilterBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/SettingFilterBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{expression}}
          externalDocs:
            description: SettingFilterBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/SettingFilterBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [SettingFilterBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/SettingFilterBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('expression');}
          externalDocs:
            description: SettingFilterBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/SettingFilterBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_build_failed:
      summary: campaign_build_failed
      value:
        code: campaign_build_failed
        http_status_code: 400
        message: Campaign build failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    component_not_found:
      summary: component_not_found
      value:
        code: component_not_found
        http_status_code: 400
        message: Component not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    component_owner_not_supported:
      summary: component_owner_not_supported
      value:
        code: component_owner_not_supported
        http_status_code: 400
        message: Component owner not supported
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    component_state_not_supported:
      summary: component_state_not_supported
      value:
        code: component_state_not_supported
        http_status_code: 400
        message: Component state not supported
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    controller_state_misconfiguration:
      summary: controller_state_misconfiguration
      value:
        code: controller_state_misconfiguration
        http_status_code: 400
        message: A controller has not properly configured state
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    expression_invalid_syntax:
      summary: expression_invalid_syntax
      value:
        code: expression_invalid_syntax
        http_status_code: 400
        message: Campaign build failed due expression invalid syntax
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_setting_filter:
      summary: invalid_setting_filter
      value:
        code: invalid_setting_filter
        http_status_code: 400
        message: >-
          Invalid setting filter, expected format: name:value; backslash escapes
          the next character (e.g. \, \: \\)
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    rebuild_campaigns_build_failed:
      summary: rebuild_campaigns_build_failed
      value:
        code: rebuild_campaigns_build_failed
        http_status_code: 400
        message: Rebuild campaigns build failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unknown_source_clients:
      summary: unknown_source_clients
      value:
        code: unknown_source_clients
        http_status_code: 400
        message: Some source client ids are unknown
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````